> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Currencies

GET https://api.bigcommerce.com/stores/{store_hash}/v2/currencies

Returns a list of all store *Currency*.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/currencies/get-currencies

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Query parameters

- `page` (integer, optional, default: 1) — Specifies the page number in a limited (paginated) list of currencies.
- `limit` (integer, optional, default: 50) — Controls the number of items per page in a limited (paginated) list of currencies.

### Headers

- `Accept` (string, required, default: application/json) — The MIME type of the response body that the client accepts. Typically `application/json`.

## Response

### 200

OK

- `list of currency_Full`

## Types

### currency_Full

- `auto_update` (boolean, optional) — Specifies whether to use the Open Exchange Rates service to update the currency conversion. A value of false specifies a static conversion value. auto_update only applies to non-transactional currencies.
- `country_iso2` (string, optional) — 2-letter ISO Alpha-2 code for this currency’s country.
- `currency_code` (string, optional) — 3-letter ISO 4217 code for this currency.
- `currency_exchange_rate` (string, optional) — Amount of this currency that is equivalent to one U.S. dollar.(Float, Float as String, Integer)
- `decimal_places` (integer, optional) — Number of decimal places to show for this currency.
- `decimal_token` (string, optional) — Symbol used as the decimal separator in this currency.
- `default_for_country_codes` (list of string, optional) — Default 3-letter ISO 4217 code for this currency.
- `enabled` (boolean, optional) — If the currency is active on the store.
- `id` (integer, optional) — ID of the currency. Read only.
- `is_default` (boolean, optional) — Specifies the store’s default currency display format. For write operations, only true value is accepted. When set to true, it cannot be unset, only overridden.
- `is_transactional` (boolean, optional) — Indicates if the currency is set as transactional or not. False means display only currency
- `last_updated` (datetime, optional) — Date the currency was last updated, created or modified.
- `name` (string, optional) — Name of the currency.
- `thousands_token` (string, optional) — Symbol used as the thousands separator in this currency.
- `token` (string, optional) — Symbol for this currency.
- `token_location` (string, optional) — Specifies whether this currency’s symbol appears to the “left” or “right” of the numeric amount.
- `use_default_name` (boolean, optional) — Default currency name

## Examples

**Response**

```json
[
  {
    "auto_update": true,
    "country_iso2": "EU",
    "currency_code": "EUR",
    "currency_exchange_rate": "0.849",
    "decimal_places": 2,
    "decimal_token": ".",
    "default_for_country_codes": [
      "EU"
    ],
    "enabled": false,
    "id": 2,
    "is_default": false,
    "is_transactional": true,
    "last_updated": "2024-01-15T09:30:00Z",
    "name": "Euro",
    "thousands_token": ",",
    "token": "€",
    "token_location": "left",
    "use_default_name": false
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/currencies"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/currencies';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/currencies"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/currencies")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v2/currencies")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v2/currencies', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/currencies");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/currencies")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```